<?php
if ( !class_exists('Cobber_Dashboard_Notice') ):

    class Cobber_Dashboard_Notice
    {
        function __construct()
        {	
            global $pagenow;

        	if( $this->cobber_show_hide_notice() ){

	            add_action( 'admin_notices',array( $this,'cobber_admin_notice' ) );
                
	        }
	        add_action( 'wp_ajax_cobber_notice_dismiss', array( $this, 'cobber_notice_dismiss' ) );
			add_action( 'switch_theme', array( $this, 'cobber_notice_clear_cache' ) );
        }
        
        public static function cobber_show_hide_notice( $status = false ){

            if( $status ){

                if( (class_exists( 'Booster_Extension_Class' ) ) || get_option('twp_cobber_admin_notice') ){

                    return false;

                }else{

                    return true;

                }

            }

            // Check If current Page 
            if ( isset( $_GET['page'] ) && $_GET['page'] == 'cobber-about'  ) {
                return false;
            }

        	// Hide if dismiss notice
        	if( get_option('twp_cobber_admin_notice') ){
				return false;
			}
        	// Hide if all plugin active
        	if ( class_exists( 'Booster_Extension_Class' ) ) {
				return false;
			}
			// Hide On TGMPA pages
			if ( ! empty( $_GET['tgmpa-nonce'] ) ) {
				return false;
			}
			// Hide if user can't access
        	if ( current_user_can( 'manage_options' ) ) {
				return true;
			}
			
        }

        // Define Global Value
        public static function cobber_admin_notice(){ ?>

            <div class="updated notice is-dismissible twp-cobber-notice">

                <h3><?php esc_html_e('Quick Setup','cobber'); ?></h3>

                <p><strong><?php esc_html_e('Cobber is now installed and ready to use. Are you looking for a better experience to set up your site?','cobber'); ?></strong></p>

                <small><?php esc_html_e("We've prepared a unique onboarding process through our",'cobber'); ?> <a href="<?php echo esc_url( admin_url().'themes.php?page='.get_template().'-about') ?>"><?php esc_html_e('Getting started','cobber'); ?></a> <?php esc_html_e("page. It helps you get started and configure your upcoming website with ease. Let's make it shine!",'cobber'); ?></small>

                <p>
                    <a target="_blank" class="button button-primary button-primary-upgrade" href="<?php echo esc_url( 'https://www.themeinwp.com/theme/cobber-pro/' ); ?>">
                        <span class="dashicons dashicons-thumbs-up"></span>
                        <span><?php esc_html_e('Upgrade to Pro','cobber'); ?></span>
                    </a>

                    <a class="button button-primary twp-install-active" href="javascript:void(0)">
                        <span class="dashicons dashicons-admin-plugins"></span>
                        <span><?php esc_html_e('Install and activate recommended plugins','cobber'); ?></span>
                    </a>

                    <span class="quick-loader-wrapper"><span class="quick-loader"></span></span>

                    <a target="_blank" class="button button-primary" href="<?php echo esc_url( 'https://demo.themeinwp.com/cobber/' ); ?>">
                        <span class="dashicons dashicons-welcome-view-site"></span>
                        <span><?php esc_html_e('View Demo','cobber'); ?></span>
                    </a>

                    <a target="_blank" class="button button-primary" href="<?php echo esc_url( 'https://wordpress.org/support/theme/cobber/reviews/?filter=5' ); ?>">
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span><?php esc_html_e('Leave a review','cobber'); ?></span>
                    </a>

                    <a class="btn-dismiss twp-custom-setup" href="javascript:void(0)"><?php esc_html_e('Dismiss this notice.','cobber'); ?></a>

                </p>

            </div>

        <?php
        }

        public function cobber_notice_dismiss(){

        	if ( isset( $_POST[ '_wpnonce' ] ) && wp_verify_nonce( sanitize_text_field( wp_unslash( $_POST[ '_wpnonce' ] ) ), 'cobber_ajax_nonce' ) ) {

	        	update_option('twp_cobber_admin_notice','hide');

	        }

            die();

        }

        public function cobber_notice_clear_cache(){

        	update_option('twp_cobber_admin_notice','');

        }

    }

    new Cobber_Dashboard_Notice();
    
endif;
