<?php
/**
* Body Classes.
*
* @package Cobber
*/
 
 if (!function_exists('cobber_body_classes')) :

    function cobber_body_classes($classes) {

        $cobber_default = cobber_get_default_theme_options();
        global $post;
        // Adds a class of hfeed to non-singular pages.
        if ( !is_singular() ) {
            $classes[] = 'hfeed';
        }
        
        if( is_archive() || is_home() ){

            $cobber_archive_layout = get_theme_mod( 'cobber_archive_layout', $cobber_default['cobber_archive_layout'] );
            if( $cobber_archive_layout == 'metro' ){
                $classes[] = 'page-template-template-aside-metro';
            }

        }

        if( is_singular('post') ){

            $cobber_ed_post_reaction = get_post_meta( $post->ID, 'cobber_ed_post_reaction', true );
            if( $cobber_ed_post_reaction ){
                $classes[] = 'hide-comment-rating';
            }

        }
        
        $classes[] = 'site-layout-default';

        return $classes;
    }

endif;

add_filter('body_class', 'cobber_body_classes');